import { IEnvConfig } from './interface';
declare class EnvStore {
    private _envConfig;
    private _currentKeys;
    constructor();
    addFunction(specs: any): void;
    set currentKeys(keys: any);
    get envConfig(): IEnvConfig;
    get missedKeys(): string[];
    get unUsedKeys(): string[];
    get requiredNodeEnv(): string[];
    get devRequiredNodeEnv(): string[];
    get optionalNodeEnv(): string[];
    printDetails(): void;
}
declare const _default: EnvStore;
export default _default;
